package com.quant.dao;

import java.util.List;

import com.quant.annotation.MyBatisRepository;
import com.quant.entity.Attachment;
import com.quant.vo.PageVo;

@MyBatisRepository
public interface AttachmentMapper {
	//添加附件
    void addAttachment(Attachment atta);
    
    List<Attachment> findAllAttachment(PageVo pageVo);
    Integer findAttachmentRows();
    List<Attachment> findAttachmentByRelationId(Integer relationId);
    void deleteAttachmentById(Integer id);
    void deleteAttachmentByRelationId(Integer id);
    Integer findRelationIdById(Integer id);
    void updateAttachmentByrelationId(Attachment attachment);
	void updateAttachmentById(Attachment attachment);
	Attachment findAttachmentById(Integer id);
}
